<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
//mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;
$maindb = 'address';

$file = "addbook.php";

$keyfld = "accode";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];



$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `name` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `add1` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `city` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `mobile` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `gstno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND `email` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `add1` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `city` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `mobile` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `gstno` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND `email` LIKE '%$searchTerm%'";
    }
}


$sortcond = "ORDER BY `name`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `name`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `add1`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `city`";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY `mobile`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY `gstno`";
} else if ($_REQUEST["sortBy"] == "6") {
    $sortcond = " ORDER BY `email`";
}


$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}
$query = "SELECT * FROM `$maindb` WHERE  accode != ''  $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));
$count = mysqli_num_rows($result);

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {

    $mdeldisp = "<td align='center'><input type='checkbox' style='border:none;position: inherit;height:16px;width:16px;' value='1' class='' name='delchk_$ctr' id='delchk_$ctr'></td>";

    $rows[] = ['success' => true,
        'value' => $ctr,
        'keyfld' => $keyfld,
        'accode' => $r['accode'],
        'name' => $r['name'],
        'add1' => $r['add1'],
        'city' => $r['city'],
        'state' => $r['state'],
        'mobile' => $r['mobile'],
        'gstno' => $r['gstno'],
        'usertype' => $mdeldisp,
        'email' => $r['email'],
        'action' => "$file?mode=edit&accode=$r[accode]",
        'count' => $count,
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
